Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"190901a2-9a14-4735-a318-a8e983f6b714","url":null,"userId":"5ef84fdc-c929-4b0b-8b9d-36a061c4cd10","userUrl":null,"parentCommentId":"f2b62ee8-d862-40be-b417-f867208d8ea8","parentCommentUrl":null,"creationDateTime":"2026-10-02T15:28:42.743341+00:00","lastModifiedDateTime":null,"medias":[{"id":"1e6f820b-2f58-48b0-98d1-1af53d3cbbbc","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"23bf7b4b-b989-43d0-8048-8382d7ebc7d4","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  ⯈ data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string